/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
 
package test.performance.modelmbean.support;

import javax.management.Attribute;

public class Resource
{
  int count = 0;

  public void invokeNoArgs()
  {
  }

  public void invokeOneArg(String arg)
  {
  }

  public void invokeMixedArgs(Integer arg1, String arg2, Object[][][] arg3, Attribute arg4)
  {
     count++;
  }

  public int getCount()
  {
     return count;
  }
}

